# Uses of Class
net.sourceforge.jiu.apps.OperationProcessor

Packages that use OperationProcessor
Package
Description
net.sourceforge.jiu.gui.awt

## Uses of OperationProcessor in net.sourceforge.jiu.gui.awt

Subclasses of OperationProcessor in net.sourceforge.jiu.gui.awt
Modifier and Type
Class
Description
`class`
`AwtOperationProcessor`
Performs operations specified by parent class `OperationProcessor`, uses various AWT dialogs to get parameters from user in a GUI application.
Methods in net.sourceforge.jiu.gui.awt with parameters of type OperationProcessor
Modifier and Type
Method
Description
`void`
AwtMenuWrapper.`updateEnabled(OperationProcessor op)`
Changes the enabled status of all MenuItem objects using the argument OperationProcessor object (more precisely, its isAvailable(int) method).